﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;
using System.Collections;
using System.Drawing;
using System.ComponentModel;

namespace Syncfusion.SymbolDesigner
{
    [Serializable]
    public class CustomRectangle : Syncfusion.Windows.Forms.Diagram.Rectangle
    {
        public CustomRectangle(RectangleF rcBounds)
            : base(rcBounds)
        {
            this.FillStyle.Color = Color.Aqua;
            this.turbineWidth = 10;
            this.turbineHeight = 20;

        }

        public CustomRectangle(CustomRectangle src)
            : base(src)
        {
            this.Properties = (Hashtable)src.Properties.Clone();
            this.turbineWidth = (float)src.turbineWidth;
            this.turbineHeight = (float)src.turbineHeight;
        }

        protected CustomRectangle(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
            // The Serialization constructor is invoked during deserialization or during a drag & drop operation.
            // If the MySymbol type has serializable members, then initialize them with the serialized data 
            // obtained from the SerializationInfo param
            foreach (SerializationEntry entry in info)
            {
                switch (entry.Name)
                {
                    case "properties":
                        properties = (Hashtable)entry.Value;
                        break;
                    case "TurbineWidth":
                        turbineWidth = (float)entry.Value;
                        break;
                    case "TurbineHeight":
                        turbineHeight = (float)entry.Value;
                        break;
                }
            }
        }


        #region Class properties
        /// <summary>
        /// Get or set the dynamic properties collection.
        /// </summary>
        private Hashtable properties = null;
        private float turbineWidth;
        private float turbineHeight;

        [Browsable(true)]
        public float TurbineWidth
        {
            get
            {
                return turbineWidth;

            }
            set
            {
                turbineWidth = value;
            }
        }


        [Browsable(true)]
        public float TurbineHeight
        {
            get
            {
                return turbineHeight;

            }
            set
            {
                turbineHeight = value;
            }
        }

        [Browsable(true)]
        public Hashtable Properties
        {
            get
            {
                if (properties == null)
                    properties = new Hashtable();
                return properties;
            }
            set
            {
                properties = value;
            }
        }
        #endregion

        public override object Clone()
        {
            return new CustomRectangle(this);
        }

        protected override void GetObjectData(SerializationInfo info, StreamingContext context)
        {
            base.GetObjectData(info, context);
            //Add the serialization entry for dynamic properties collection           
            info.AddValue("properties", this.properties);
            info.AddValue("TurbineWidth", this.TurbineWidth);
            info.AddValue("TurbineHeight", this.TurbineHeight);
        }
    }
}
